Firefox 3.5 má vážnou chybu ve zpracování JavaScriptu

Mozilla potvrdila, že v aktuálním Firefoxu 3.5 je bezpečnostní chyba ve zpracování JavaScriptu pomocí enginu TraceMonkey. Společnost Secuina pokládá tuto zranitelnost za kritickou.


Ke zneužití stačí, pokud útočník svou oběť přivede na webovou stránku se speciálním kódem. Chyba je dána fungováním nového enginu pro zpracování JavaScriptu, konkrétně kódu JavaScriptu, který manipuluje s tagy FONT v HTML souboru. Firefox 3.0 ohrožen není, protože JavaScript zpracovává jinak. Uživatelé verze 3.5 se mohou chránit pomocí doplňku NoScript, vypnutím JavaScriptu nebo v enginu TraceMonkey zakázat komponentu Just in Time. (V adresním řádku prohlížeče zadat about:config, a u položky JIT nastavit hodnotu javascript.options.jit.content na False).

Mozilla chybu objevila ve stejné době, jak se kód zneužití objevil na malwarovém webu Milw0rm.com. Ještě v tomto měsíci by měl být vydán Firofox 3.5.1, který bezpečnostní problém opraví. Že TraceMonkey bude potřebovat opravu, je známo již delší dobu, dříve zjištěné chyby se týkaly však spíše stability prohlížeče než přímo bezpečnostních rizik. Viz také: Mozilla opraví první chyby ve Firefoxu 3.5

 











Komentáře